Skip to main content
GET
/
products
/
collections
/
{collectionId}
/
products
Get collection products
curl --request GET \
  --url https://services.leadconnectorhq.com/products/collections/{collectionId}/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    "<string>"
  ],
  "total": 50
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

collectionId
string
required

MongoId of the collection

Example:

"65d71377c326ea78e1c47df5"

Query Parameters

altId
string
required

Location Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required

The type of alt. For now it is only LOCATION

Available options:
location
Example:

"LOCATION"

type
enum<string>

Type of collection product to filter by

Available options:
manual,
smart
Example:

"manual"

offset
number

Offset for pagination

Example:

0

limit
number

Limit for pagination

Example:

20

Query to search products by name, description, or slug

Example:

"awesome product"

Response

Successful response

data
string[]
required

Array of collection products

total
number
required

Total count of collection products

Example:

50

Last modified on March 4, 2026